/*---- Specificity---- */
/* It refers to an element's quality of an belonging uniquely to a particular group or subject*/
/* Example */
/* Normally the last configuration will be prioritized in css => the element's color will be yellow*/
span {
    color:green;        /* This won't apply */
}

span {
    color: yellow;      /* This will */
}

/* However, more specific selectors will always have greater priority, even if the less specific selector is written last*/
/* Therefore the element's color will be blue */
h1.myClass span {
    color:blue;     /* This will apply*/
}

.myClass {
    color:red;      /* This won't*/
}

.myClass span {
    color:pink;     /* This won't*/
}

/* There is a way to override specificity's as well (not recomended) */

h1.myClass span {
    color:blue;     /* This won't apply */
}

.myClass {
    color:red;      /* This won't apply */
}

.myClass span {
    color:pink;     /* This won't apply */
}

span {
    color: black !important;     /* This will */
}

/* Also, ID attributes will mess with the priority by specificity mecanism so it's adviced to use classes instead */